
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SQL Server 中 RAISERROR 的用法 / iVAN</title>

    <meta name="description" content="SQL Server 中 RAISERROR 的用法 原文:SQL Server 中 RAISERROR 的用法 raiserror  是由单词 raise error 组成      raise  增加; 提高; 提升 raiserror 的作用: raiserror 是用于抛出一个错误.[ 以下资料来源于sql server 2005的帮助 ]   其语法如下: RAISERROR ( { msg_id | msg_str | @local_variable }                     { ,severity ,state } ">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">SQL Server 中 RAISERROR 的用法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>原文:<a href="http://www.cnblogs.com/xugang/archive/2011/04/09/2010216.html" rel="external nofollow noreferrer">SQL Server 中 RAISERROR 的用法</a></p>
<p>raiserror  是由单词 raise error 组成<br />
     raise  增加; 提高; 提升</p>
<p>raiserror 的作用： raiserror 是用于抛出一个错误。[ 以下资料来源于sql server 2005的帮助 ]</p>
<p> </p>
<p>其语法如下：</p>
<p>RAISERROR ( { msg_id | msg_str | @local_variable }        <br />
            { ,severity ,state }        <br />
            [ ,argument [ ,...n ] ] <br />
          )       <br />
   [ WITH option [ ,...n ] ]</p>
<p> </p>
<p>简要说明一下：</p>
<p>  </p>
<p>第一个参数：{ msg_id | msg_str | @local_variable }<br />
      msg_id：表示可以是一个sys.messages表中定义的消息代号；<br />
              使用 sp_addmessage 存储在 sys.messages 目录视图中的用户定义错误消息号。<br />
              用户定义错误消息的错误号应当大于 50000。</p>
<p>     msg_str：表示也可以是一个用户定义消息，该错误消息最长可以有 2047 个字符；<br />
             （如果是常量，请使用N'xxxx'，因为是nvarchar的）<br />
              当指定 msg_str 时，RAISERROR 将引发一个错误号为 5000 的错误消息。</p>
<p>     @local_variable：表示也可以是按照 msg_str 方式的格式化字符串变量。<br />
            <br />第二个参数：severity<br />
            用户定义的与该消息关联的严重级别。（这个很重要）<br />
            任何用户都可以指定 0 到 18 之间的严重级别。<br />
            [0,10]的闭区间内，不会跳到catch；<br />
            如果是[11,19],则跳到catch；<br />
            如果[20,无穷)，则直接终止数据库连接；</p>
<p>第三个参数：state<br />
            如果在多个位置引发相同的用户定义错误，<br />
            则针对每个位置使用唯一的状态号有助于找到引发错误的代码段。<br />
          <br />
            介于 1 至 127 之间的任意整数。（state 默认值为1）<br />
            当state 值为 0 或大于 127 时会生成错误！</p>
<p>第四个参数：argument<br />
            用于代替 msg_str 或对应于 msg_id 的消息中的定义的变量的参数。</p>
<p>第五个参数：option<br />
            错误的自定义选项，可以是下表中的任一值：<br />
            LOG ：在错误日志和应用程序日志中记录错误；<br />
            NOWAIT：将消息立即发送给客户端；<br />
            SETERROR：将 @@ERROR 值和 ERROR_NUMBER 值设置为 msg_id 或 50000；<br />
 <br />
 <br />
<br /><strong>[SQL]代码示例</strong></p>
<p>--示例1</p>
<p>DECLARE @raiseErrorCode nvarchar(50)<br />SET @raiseErrorCode = CONVERT(nvarchar(50), YOUR UNIQUEIDENTIFIER KEY)<br />RAISERROR('%s INVALID ID. There is no record in table',16,1, @raiseErrorCode)</p>
<p> </p>
<p>--示例2</p>
<p>RAISERROR (<br />
             N'This is message %s %d.', -- Message text,<br />             10,                        -- Severity,<br />             1,                         -- State,<br />             N'number',                 -- First argument.<br />             5                          -- Second argument.<br />          ); <br />-- The message text returned is: This is message number 5.<br />GO</p>
<p>--示例3</p>
<p>RAISERROR (N'&lt;&lt;%*.*s&gt;&gt;', -- Message text.<br />           10,           -- Severity,<br />           1,            -- State,<br />           7,            -- First argument used for width.<br />           3,            -- Second argument used for precision.<br />           N'abcde');    -- Third argument supplies the string.<br />-- The message text returned is: &lt;&lt;    abc&gt;&gt;.<br />GO</p>
<p>--示例4</p>
<p>RAISERROR (N'&lt;&lt;%7.3s&gt;&gt;', -- Message text.<br />           10,           -- Severity,<br />           1,            -- State,<br />           N'abcde');    -- First argument supplies the string.<br />-- The message text returned is: &lt;&lt;    abc&gt;&gt;.<br />GO</p>
<p>--示例5    </p>
<p>--A. 从 CATCH 块返回错误消息<br />以下代码示例显示如何在 TRY 块中使用 RAISERROR 使执行跳至关联的 CATCH 块中。<br />它还显示如何使用 RAISERROR 返回有关调用 CATCH 块的错误的信息。</p>
<p>BEGIN TRY<br />    RAISERROR ('Error raised in TRY block.', -- Message text.<br />                16, -- Severity.<br />                1 -- State.<br />               );<br />END TRY<br />BEGIN CATCH<br />    DECLARE @ErrorMessage NVARCHAR(4000);<br />    DECLARE @ErrorSeverity INT;<br />    DECLARE @ErrorState INT;</p>
<p>    SELECT <br />        @ErrorMessage = ERROR_MESSAGE(),<br />        @ErrorSeverity = ERROR_SEVERITY(),<br />        @ErrorState = ERROR_STATE();</p>
<p>    RAISERROR (@ErrorMessage,  -- Message text.<br />               @ErrorSeverity, -- Severity.<br />               @ErrorState     -- State.<br />               );<br />END CATCH;</p>
<p>--示例6</p>
<p>--B. 在 sys.messages 中创建即席消息<br />以下示例显示如何引发 sys.messages 目录视图中存储的消息。<br />该消息通过 sp_addmessage 系统存储过程，以消息号50005添加到 sys.messages 目录视图中。</p>
<p>sp_addmessage @msgnum = 50005,<br />               @severity = 10,<br />               @msgtext = N'&lt;&lt;%7.3s&gt;&gt;';<br />GO</p>
<p>RAISERROR (50005, -- Message id.<br />           10,    -- Severity,<br />           1,     -- State,<br />           N'abcde'); -- First argument supplies the string.<br />-- The message text returned is: &lt;&lt;    abc&gt;&gt;.<br />GO</p>
<p>sp_dropmessage @msgnum = 50005;<br />GO</p>
<p>--示例7<br />--C. 使用局部变量提供消息文本<br />以下代码示例显示如何使用局部变量为 RAISERROR 语句提供消息文本。</p>
<p>sp_addmessage @msgnum = 50005,<br />              @severity = 10,<br />              @msgtext = N'&lt;&lt;%7.3s&gt;&gt;';<br />GO</p>
<p>RAISERROR (50005, -- Message id.<br />           10,    -- Severity,<br />           1,     -- State,<br />           N'abcde'); -- First argument supplies the string.<br />-- The message text returned is: &lt;&lt;    abc&gt;&gt;.<br />GO</p>
<p>sp_dropmessage @msgnum = 50005;<br />GO</p>
<p>参考来源：</p>
<p><a href="http://msdn.microsoft.com/zh-cn/library/ms178592.aspx" rel="external nofollow noreferrer">http://msdn.microsoft.com/zh-cn/library/ms178592.aspx</a></p>
<p><a>ms-help://MS.SQLCC.v9/MS.SQLSVR.v9.zh-CHS/tsqlref9/html/483588bd-021b-4eae-b4ee-216268003e79.htm</a> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-19 04:56:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>SQL Server 中 RAISERROR 的用法的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RdEkb.html" rel="bookmark">SQL Server 中 RAISERROR 的用法详细介绍&lowbar;mssql2005</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 SQL Server 中 RAISERROR 的用法 raiserror 的作用: raiserror 是用于抛出一个错误.[ 以下资料来源于sql server 2005的帮助 ] 其语法如下: RAISERROR ( { msg_id | msg_str | @local_variable } { ,severity ,state } [ ,argument [ ,...n ] ] ) [ WITH option [ ,...n ] ] 简要说明一下:   第一个参数:{ msg_id |			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bElWdPz.html" rel="bookmark">SQL SERVER中Case语句的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Case具有两种格式.简单Case函数和Case搜索函数. --简单Case函数 CASE sex WHEN '1' THEN '男' WHEN '2' THEN '女' ELSE '其他' END --Case搜索函数 CASE WHEN sex = '1' THEN '男' WHEN sex = '2' THEN '女' ELSE '其他' END 这两种方式,可以实现相同的功能.简单Case函数的写法相对比较简洁,但是和Case搜索函数相比,功能方面会有些限制,比如写判断式. 还有一个需要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4J8JNM.html" rel="bookmark">Sql Server中Substring函数的用法实例解析&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL 中的 substring 函数是用来抓出一个栏位资料中的其中一部分.这个函数的名称在不同的资料库中不完全一样: MySQL: SUBSTR( ), SUBSTRING( ) Oracle: SUBSTR( ) SQL Server: SUBSTRING( ) SQL 中的 substring 函数是用来截取一个栏位资料中的其中一部分. 例如,我们需要将字符串'abdcsef'中的'abd'给提取出来,则可用substring 来实现: select substring('abdcsef'			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRYRjqb.html" rel="bookmark">Sql Server中Substring函数的用法实例解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL 中的 substring 函数是用来抓出一个栏位资料中的其中一部分.这个函数的名称在不同的资料库中不完全一样: MySQL: SUBSTR( ), SUBSTRING( ) Oracle: SUBSTR( ) SQL Server: SUBSTRING( ) SQL 中的 substring 函数是用来截取一个栏位资料中的其中一部分. 例如,我们需要将字符串'abdcsef'中的'abd'给提取出来,则可用substring 来实现: select substring('abdcsef'			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1N29op.html" rel="bookmark">ms sql server中存储过程入门教程详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.存储过程的概念 T-SQl和C语言一样 ,是一门结构化的语言. 什么是存储过程? 存储过程是SQL查询语句与控制流程语句的预编译集合,并以特定的名称保存在数据库中.存储过程也是数据库对象 分类: 系统存储过程: 以sp_或xp_打头 用户自定义  :以proc_打头 存储过程的优点: 执行速度快 效率高 模块式编程  减少网络流量     提高安全性 二.系统存储过程 SQl server 的系统存储过程保存在master数据库中,且所有命名的系统存储过程命名以&quot;Sp_&quot;开头.在m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpn05Zb.html" rel="bookmark">在SQL Server 中使用SQLDMO</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server   曾几何时,伙伴们为数据库的升级伤透了脑筋.往往程序的升级赶不上数据库的升级(版本控制的好,这也许不是什么问题,但对于很大一部分中国公司来说这是无法避免的).而有些n久以前的数据库要使用新程序的时候,数据库的升级简直就是无从下手.所以对比数据库升级的紧要性就逐渐的凸现出来.对于表和字段的升级按道理来说是不难的,通过sysobjects与syscolumns的比较很容易的可以找到不同之处,然后增加没有的对象即可.而对于视图和存储过程等非表对象的更新就有些为难了(当然视图和存储过程如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lpd8J4p.html" rel="bookmark">Sql Server中的日期与时间函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Sql Server中的日期与时间函数: 1.  当前系统日期.时间     select getdate()  2. dateadd  在向指定日期加上一段时间的基础上,返回新的 datetime 值:   例如:向日期加上2天    select dateadd(day,2,'2004-10-15')  --返回:2004-10-17 00:00:00.000 3. datediff 返回跨两个指定日期的日期和时间边界数:   select datediff(day,'2004-09-01'			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMromyp.html" rel="bookmark">漫谈SQL Server中的标识列&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server 漫谈SQL Server中的标识列(一) 一.标识列的定义以及特点 SQL Server中的标识列又称标识符列,习惯上又叫自增列.该种列具有以下三种特点: 1.列的数据类型为不带小数的数值类型2.在进行插入(Insert)操作时,该列的值是由系统按一定规律生成,不允许空值3.列值不重复,具有标识表中每一行的作用,每个表只能有一个标识列. 由于以上特点,使得标识列在数据库的设计中得到广泛的使用. 二.标识列的组成创建一个标识列,通常要指定三个内容:1.类型(type)在SQL Ser			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NWdNM.html" rel="bookmark">SQL Server 中 EXEC 与 SP&lowbar;EXECUTESQL 的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:SQL Server 中 EXEC 与 SP_EXECUTESQL 的区别 MSSQL为我们提供了两种动态执行SQL语句的命令,分别是 EXEC 和 SP_EXECUTESQL ,我们先来看一下两种方式的用法. 先建立一个表,并添加一些数据来进行演示: CREATE TABLE t_student( Id INT NOT NULL, Name NVARCHAR (10) NULL, Age TINYINT NULL, School NVARCHAR(20) NULL, Class NVAR			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkvqyM.html" rel="bookmark" class="title">CSS常见技巧及问题处理</a>
					<div>
						css|技巧|问题 1.解决背景不能延伸的问题&lt;div id=&quot;content&quot;&gt;&lt;div id=&quot;main&quot;&gt; &lt;div id= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8QnPz.html" rel="bookmark" class="title">通过jsp实现对数据的批量更新</a>
					<div>
						js|数据 我这有一个程序,不知能不能帮到你!!&lt;--这是a1.jsp页面程序--&gt;&lt;jsp:useBean id=&quot;pool&quot; scope=&quot;page ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo5gEp.html" rel="bookmark" class="title">电子商务网站商品缺货按钮设计隐藏还是解释&quest;</a>
					<div>
						现实中的界面一般来说比较固定,这里的固定指的是位置.颜色.可见性一般不会随意变化,比如电灯开关,无论是否有电或者电灯是否出故障,开关中的按钮都会在那里,不会消失. 开关 然而网络就不一样,你可以很轻易 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaQ8ZM.html" rel="bookmark" class="title">第十二章-异常处理与程序调试（一）&lpar;1&rpar;</a>
					<div>
						在应用程序开发中如何检测.处理程序的运行错误是一个很重要的问题.在 Delphi 的集成开发环境( IDE )中提供了一个完善的内置调试器,可以帮助你发现大部分程序错误.但并不是所有的错误都可以被发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7GZdb.html" rel="bookmark" class="title">如何在酷狗中搜索并下载歌曲</a>
					<div>
						1.在右侧面板的音乐搜索框里,输入要搜索的关键字(歌手名或歌曲的中文名,也可直接输入拼音或拼音首字母),点击&quot;音乐搜索&quot;按钮或者enter快捷键.搜索框下方会显示该关键字的搜索结果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze480Op.html" rel="bookmark" class="title">如何获取chinanet wifi密码&quest;</a>
					<div>
						  1.安装WiFi天翼通,官方会赠送100翼豆. 2.手机打开wlan,看能搜到的热点是chinanet还是chinanet edu,然后再选择对应的卡密进行兑换. 3.兑换后就能看到账号密码了.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3KX1p.html" rel="bookmark" class="title">Excel合并单元格的两种简单方法</a>
					<div>
						  第一种方法:快捷按钮 如下图一样,在Excel的格式工具栏中,找到如下图的图标. 即上图中蓝线圈住的那按钮,点击一下,就可以将已选择的多个单元格合并成为一个单元格.再点击一下,会将已合并的单元格, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3we1M.html" rel="bookmark" class="title">ie11无法新建选项卡怎么办？</a>
					<div>
						  ie11无法新建选项卡怎么办呢?ie11选项卡要怎么设置呢?有朋友在新装win8.1之后,发现ie11无法新建选项卡,这该怎么办呢?下面就和小编一起去了解下ie11选项卡的设置方法吧. 有些用户在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmoZNz.html" rel="bookmark" class="title">win7系统如何安装proteus7&period;8仿真软件</a>
					<div>
						  win7系统如何安装proteus7.8仿真软件         具体方法如下: 1.首先第一步点击next; 2.选择YES; 3.点击下一步; 4.继续next; 5.这里可以选择你的安装路径 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZnK2z.html" rel="bookmark" class="title">泡泡相框怎么创建相框</a>
					<div>
						  泡泡相框怎么创建相框?泡泡相框是一款较为新颖的相框设计应用,用户们只需要轻轻挥动手指就可以为自己的想拍编辑好相框,不过有不少人还不知道泡泡相框怎么创建相框,下面就让小编来给大家介绍一下泡泡相框创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKNLAM.html" rel="bookmark" class="title">手机游戏开发成为安卓应用中的重中之重</a>
					<div>
						目前,对于现在的中国大陆智能手机操作系统市场来说,占大部分份额的还是安卓系统.塞班系统还有ios系统三大手机系统.当然还有一部分智能手机是使用的别的系统的,例如黑莓公司使用的就是其公司本身研发的系统黑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32YOmz.html" rel="bookmark" class="title">浏览器小览【欢迎讨论】</a>
					<div>
						本人喜欢玩各类电子产品,自然各种浏览器也不会被我错过 我应该说用过很多浏览器,开始的IE,搜狗,遨游,世界之窗,猎豹,后来的Opera,谷歌chrome,火狐,百度影音浏览器,百度浏览器,360浏览器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPmBqp.html" rel="bookmark" class="title">Photoshop制作喇叭花</a>
					<div>
						画花的教程有很多,不过这次是写实的风格.总体效果非常接近真实的效果.因此制作的时候难度要稍微大一点,尤其是花瓣上的褶皱部分,需要用心去涂抹. 最终效果   1.新建一个800 * 600 像素的文件, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY57y9M.html" rel="bookmark" class="title">每周百度搜索引擎更新周期</a>
					<div>
						作为一个合格的站长,知道搜索引擎的更新时间和频率是应该的.也是应该具备的一种基本素质.百度作为搜索老大,可以说是万千站长都*着他,尽管站长 们经常开骂.但是还要不得不千方百计的想把自己的站排在前面.今 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40jDjz.html" rel="bookmark" class="title">&lbrack;LeetCode&rsqb;10&period;Regular Expression Matching</a>
					<div>
						题目 mplement regular expression matching with support for '.' and '*'. '.' Matches any single charact ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Re6Dz.html" rel="bookmark" class="title">思科收购虚拟网络公司vCider以增强云计算竞争</a>
					<div>
						1 0.5日消息,据国外http://www.aliyun.com/zixun/aggregation/31646.html&quot;&gt;媒体报道,网络设备巨头思科周四宣布,它已经收购了虚拟网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YZW3z.html" rel="bookmark" class="title">richtextbox包存时出现别的字符</a>
					<div>
						问题描述 privatevoidbutton3_Click(objectsender,EventArgse){saveFileDialog1.FileName=&quot;&quot;;saveFil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBQ0NM.html" rel="bookmark" class="title">oracle数据库-数据库怎么查询一段时间内过生日的员工</a>
					<div>
						问题描述 数据库怎么查询一段时间内过生日的员工 各位大神,求解,员工表(emp),有一个birthday字段,我要查询当前日期到n天之后这段时间过生日的员工,有什么好的SQL. 解决方案 select ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx03y0M.html" rel="bookmark" class="title">百名网：域名很重要选择域名要趁早</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 近日,据海外媒体报道,披萨域名pi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOndEvp.html" rel="bookmark" class="title">iOS实现图片轮播效果&lowbar;IOS</a>
					<div>
						本文实例为大家分享了IOS图片轮播效果的实现过程,供大家参考,具体内容如下 平时APP中的广告位或者滚动的新闻图片等用到的就是图片轮播这种效果,实现方式主要有两种,一种ScrollView+Image ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8lemp.html" rel="bookmark" class="title">解析PHP可变函数的经典用法&lowbar;php技巧</a>
					<div>
						复制代码 代码如下: &lt;?phpfunction map($fun, $list,$params=array()){    $acc=NULL;    $last=array_push($par ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYPyob.html" rel="bookmark" class="title">如何将本地服务器上的网站传到阿里云服务器上？</a>
					<div>
						问题描述 能不能有大神给讲一下具体的操作,谢谢!!! 解决方案 解决方案二:有没有人在呢很着急额谢谢了解决方案三:自己盖楼自己顶解决方案四:如果是虚拟主机,找到FTP和数据库权限,倒库+上传代码,如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q3WRp.html" rel="bookmark" class="title">如何从Yahoo site explore里面自动获取网站的link数</a>
					<div>
						问题描述 我现在要从Yahoositeexplore(http://siteexplorer.search.yahoo.com/search?p=http%3A%2F%2Fwww.ovid.com%2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjo8G8M.html" rel="bookmark" class="title">北京网通2M宽带资费下调至168元</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 北京网通2M宽带包月资费标准下调, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlA1WYp.html" rel="bookmark" class="title">Ubuntu Snap 接管 Linux 桌面和 IoT 软件的发行</a>
					<div>
						Canonical 和 Ubuntu 创始人 Mark Shuttleworth 在一次采访中说他不准备宣布 Ubuntu 的新 Snap 程序包格式.但是就在几个月之后,很多 Linux 发行版的开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2LD7z.html" rel="bookmark" class="title">个人生活视频化</a>
					<div>
						优酷网创始人兼CEO 古永锵 不久前,当我在影院为&lt;2012&gt;的劫后余生而震惊于玛雅预言的神奇时,我更惊叹于科技让人类的想象幻化成具象.也正因如此,当我们踩着2010年的钟声时,过去10年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJevZVp.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;为什么微信广点通一上线，就被我看衰？</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 专注电商O2O+移动互联领域,个人微信 chen-jiping 千呼万唤,微信在万人瞩目之中,终于在五月份推出了微信广点通,凭借前期的PR积累,一上线就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YA4Pp.html" rel="bookmark" class="title">传媒大亨默多克收购时代华纳遭拒</a>
					<div>
						网易科技讯 7月17日消息,据国外媒体报道,鲁伯特・默多克的媒体帝国21世纪福克斯日前提出以800亿美元的价格收购时代华纳,但这桩野心勃勃的交易在周三遭到了回绝. 如果此次收购成功,这将成为媒体行业规 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z43wELp.html" rel="bookmark" class="title">适合自己的模式才最重要</a>
					<div>
						正当大多企业都忙于精简人员,节省开支的时候,南方有家服装零售流通企业,却逆市而上,和一家加工场成立一个全新的品牌服饰.而这家企业的老板的理由很简单:&quot;当周围人都恐惧的时候,我就出手,这时候我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myvd85p.html" rel="bookmark" class="title">实现点击下箭头变上箭头来回切换的两种方法【推荐】&lowbar;jquery</a>
					<div>
						我所知道的常用的就这两种. 第一种:说明一下我用的是fontawesome字体,首先要去官网下载来用 &lt;span class='btn btn-more'&gt; &lt;i class='fa ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
